## SoupSessionFeature SoupSessionFeature — Interface for miscellaneous session features |

## Types and Values

| SoupSessionFeature

## Object Hierarchy

        GInterface
        ╰── SoupSessionFeature

## Prerequisites

SoupSessionFeature requires GObject.

## Known Implementations

SoupSessionFeature is implemented by SoupAuthManager, SoupCache, SoupContentDecoder, SoupContentSniffer, SoupCookieJar, SoupCookieJarDB, SoupCookieJarText, SoupHSTSEnforcer, SoupHSTSEnforcerDB, SoupLogger and SoupWebsocketExtensionManager.

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionFeature is the interface used by classes that extend the functionality of a SoupSession. Some features like HTTP authentication handling are implemented internally via SoupSessionFeatures. Other features can be added to the session by the application. (Eg, SoupLogger, SoupCookieJar.)

See `soup_session_add_feature()`, etc, to add a feature to a session.

## Functions

## Types and Values

### SoupSessionFeature

    typedef struct _SoupSessionFeature SoupSessionFeature;

An object that implement some sort of optional feature for SoupSession.